package com.poeticpotatoes.JSONHandling.controllers;

import java.io.IOException;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.spire.xls.FileFormat;
import com.spire.xls.Workbook;

@RestController
@RequestMapping("/excel-pdf")
public class ExcelConversion {

	@GetMapping("/{filename}")
	public void convert(@PathVariable String filename) throws IOException {
		
		Workbook workbook = new Workbook();
        workbook.loadFromFile(filename);

        //Save as PDF document
        workbook.saveToFile("ExcelToPDF.pdf",FileFormat.PDF);
		
	}
}
